package com.szxgl.nft.service;

import com.szxgl.nft.entity.UserNftPhoto;

import java.util.Map;

public interface NftPhotoService {

    UserNftPhoto getNftPhoto(String phone);

    void addPhonePaintingHash(String openid,String seed,Integer flag);

    Map<String,Object> getNftPhotoUrl(String seed);

    Map<String, Object> getPhoneAndHash(String openid);

    int getNftCount();

    String getStatus(String openid);
}
